/********************************** <lalVerbatim file="StochasticHV">
Author: Anderson, W.G., Romano, J.D., and Whelan, J.T.
$Id: Stochastic.h,v 1.7 2001/08/22 19:40:30 whelan Exp $
**************************************************** </lalVerbatim> */

/******************************* <lalLaTeX file="StochasticH">
\section{Header \texttt{Stochastic.h}}
\label{s:Stochastic.h}

Header file for ...

\subsection*{Synopsis}
\begin{verbatim}
#include "Stochastic.h"
\end{verbatim}

\noindent
This header ...

% \subsection*{Error conditions}

\subsection*{Structures}

*************************************************** </lalLaTeX> */

#ifndef _STOCHASTIC_H
#define _STOCHASTIC_H

#include <stdio.h>
#include <stdlib.h>
#include <strings.h>
#include <unistd.h>
#include <lal/StochasticCrossCorrelation.h>
#include "LALWrapperInterface.h"
#include "StochasticData.h"

/* turn these on to enable debugging tools */
#undef STOCHASTIC_SO_DEBUG       /* print debug information */
#undef STOCHASTIC_SO_ATTACH_DDD  /* sleep for a few seconds to attach ddd */
#undef STOCHASTIC_SO_GRAPHING_FUNCS  /* enable some printing tools */
#undef STOCHASTIC_SO_SPECTRUM_NOT_BLOB /* write spectrum as complex array,
					   not BLOb */

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (STOCHASTICH, "stochastic $Id: Stochastic.h,v 1.7 2001/08/22 19:40:30 whelan Exp $");

#define STOCHASTICH_FALSE 0
#define STOCHASTICH_TRUE  1

/******************************* <lalLaTeX file="StochasticH">

\subsubsection*{\texttt{struct StochasticSearchParams}}
\index{\texttt{StochasticSearchParams}}

\noindent
The fields are:
\begin{description}
  \item[\texttt{BOOLEAN searchMaster}]
  \item[\texttt{BOOLEAN haveData}]
  \item[\texttt{UINT4 currentSegment}]
  \item[\texttt{COMPLEX8FrequencySeries *optimalFilter}]
  \item[\texttt{RealFFTPlan *fftPlan}]
  \item[\texttt{StochasticInitParams *initParams}]
  \item[\texttt{StochasticDataSegmentVector *stochasticSegVec}]
\end{description}

*************************************************** </lalLaTeX> */

typedef struct
tagStochasticSearchParams
{
    BOOLEAN                         searchMaster;  
    BOOLEAN                         haveData;
    UINT4                           currentSegment;
    COMPLEX8FrequencySeries*        optimalFilter;
    RealFFTPlan*                    fftPlan;
    StochasticInitParams*           initParams;
    StochasticDataSegmentVector*    stochasticSegVec;
}
StochasticSearchParams;


#ifdef  __cplusplus
}
#endif /* C++ protection */

#endif /* _STOCHASTIC_H  */


/******************************* <lalLaTeX file="StochasticH">
  
\vfill{\footnotesize\input{StochasticHV}}

*************************************************** </lalLaTeX> */
