/**** <lalVerbatim file="TFCApplySearchHV"> ***********
Author: Julien Sylvestre
 $Id: ApplySearch.h,v 1.2 2001/08/20 05:56:10 patrick Exp $
***** </lalVerbatim> ***********************************/

#ifndef _APPLYSEARCH_H
#define _APPLYSEARCH_H

#include <LALWrapperInterface.h>
#include <lal/LALDatatypes.h>
#include <lal/LALRCSID.h>
#include <lal/Comm.h>

#ifdef  __cplusplus
extern "C" {
#endif


NRCSID (APPLYSEARCHH, "power $Id: ApplySearch.h,v 1.2 2001/08/20 05:56:10 patrick Exp $");

/******** <lalErrTable file="TFCApplySearchHErrTab"> ********/
#define APPLYSEARCHH_ENULL 1
#define APPLYSEARCHH_ENNUL 2
#define APPLYSEARCHH_EALOC 3
#define APPLYSEARCHH_ENUMZ 4
#define APPLYSEARCHH_EDELT 8
#define APPLYSEARCHH_ERANK 9
#define APPLYSEARCHH_EUEXT 10
#define APPLYSEARCHH_EDELF 11
#define APPLYSEARCHH_ENDAT 11

#define APPLYSEARCHH_MSGENULL "Null pointer"
#define APPLYSEARCHH_MSGENNUL "Non-null pointer"
#define APPLYSEARCHH_MSGEALOC "Memory allocation error"
#define APPLYSEARCHH_MSGENUMZ "Data segment length is zero"
#define APPLYSEARCHH_MSGEDELT "deltaT is zero or negative"
#define APPLYSEARCHH_MSGERANK "Search node has incorrect rank"
#define APPLYSEARCHH_MSGEUEXT "Unrecognised exchange type"
#define APPLYSEARCHH_MSGEDELF "Inconsistent deltaF in spectrum and data"
#define APPLYSEARCHH_MSGENDAT "Total number of data not a multiple of (segment length - overlap)"
/******** </lalErrTable> ********/

enum
{
  ExchDataSegment,
  ExchDataList,
  ExchEPEvent,
  ExchFinished
}
ExchObjectType;

static void
LALExchangeTFCList (
		    LALStatus *status,
		    CList **clist,
		    LIGOTimeGPS *epch,
		    ExchParams       *exchParams
		    );

static void BuildTFCOutput(LALStatus *status,
			   LALSearchOutput *output,
			   CList *list,
			   UINT4 t0Sec,
			   UINT4 t0NanoSec);

#ifdef  __cplusplus
}
#endif

#endif /* _APPLYSEARCH_H */
